POST /api/v3/list

Create a new list with default list settings

CreateDefaultListV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

ListCreate
Property Description Type
listDescription The list description Must be between 0 and 255 characters string
listInfo The list name Required Must be between 0 and 50 characters string
listTypeId The list type (List) id Required integer (int32)
Example Request Body application/json
{  "listDescription": "string",  "listInfo": "string",  "listTypeId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ListCreateResponse
Property Description Type
listDescription The list description. string
listId The list identifier. integer (int32)
listInfo The list name. string
listType ListTypeChild
ListTypeChild properties
Property Description Type
listTypeDescription string
listTypeId integer (int32)
listTypeInfo string
sharedList Is this a list shared with anyone? boolean
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
visible Is this list visible to me? boolean
Example Response application/json
{  "listDescription": "string",  "listId": 1,  "listInfo": "string",  "listType": {    "listTypeDescription": "string",    "listTypeId": 1,    "listTypeInfo": "string"
  },  "sharedList": false,  "user": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "visible": false
}